Package org.apache.catalina.webresources

## Class JarWarResource

- java.lang.Object
- - org.apache.catalina.webresources.AbstractResource
  - - org.apache.catalina.webresources.AbstractArchiveResource
    - - org.apache.catalina.webresources.JarWarResource

- All Implemented Interfaces:
    `WebResource`

      public class JarWarResource
      extends AbstractArchiveResource

  Represents a single resource (file or directory) that is located within a JAR that in turn is located in a WAR file.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.catalina.webresources.AbstractArchiveResource

      `AbstractArchiveResource.JarInputStreamWrapper`

  - ### Field Summary

    - ### Fields inherited from class org.apache.catalina.webresources.AbstractResource

      `sm`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JarWarResource​(AbstractArchiveResourceSet archiveResourceSet, java.lang.String webAppPath, java.lang.String baseUrl, java.util.jar.JarEntry jarEntry, java.lang.String archivePath)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected AbstractArchiveResource.JarInputStreamWrapper` | `getJarInputStreamWrapper()` |
    `protected Log` | `getLog()` |

    - ### Methods inherited from class org.apache.catalina.webresources.AbstractArchiveResource

      `canRead, delete, doGetInputStream, exists, getArchiveResourceSet, getBase, getBaseUrl, getCanonicalPath, getCertificates, getCodeBase, getContent, getContentLength, getCreation, getLastModified, getManifest, getName, getResource, getURL, isDirectory, isFile, isVirtual`

    - ### Methods inherited from class org.apache.catalina.webresources.AbstractResource

      `getETag, getInputStream, getLastModifiedHttp, getMimeType, getWebappPath, getWebResourceRoot, setMimeType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JarWarResource

          public JarWarResource​(AbstractArchiveResourceSet archiveResourceSet,
                                java.lang.String webAppPath,
                                java.lang.String baseUrl,
                                java.util.jar.JarEntry jarEntry,
                                java.lang.String archivePath)

  - ### Method Detail

    - #### getJarInputStreamWrapper

          protected AbstractArchiveResource.JarInputStreamWrapper getJarInputStreamWrapper()

      Specified by:
        `getJarInputStreamWrapper` in class `AbstractArchiveResource`

    - #### getLog

          protected Log getLog()

      Specified by:
        `getLog` in class `AbstractResource`